/*****************************************************************************
 * Copyright (C) 2009-2024   this file is part of the NPTool Project       *
 *                                                                           *
 * For the licensing terms see $NPTOOL/Licence/NPTool_Licence                *
 * For the list of contributors see $NPTOOL/Licence/Contributors             *
 *****************************************************************************/

/*****************************************************************************
 * Original Author: Audrey Chatillon  contact address: audrey.chatillon@cea.fr                        *
 *                                                                           *
 * Creation Date  : décembre 2024                                           *
 * Last update    :                                                          *
 *---------------------------------------------------------------------------*
 * Decription:                                                               *
 *  This class hold Epic Raw data                                    *
 *                                                                           *
 *---------------------------------------------------------------------------*
 * Comment:                                                                  *
 *                                                                           *   
 *                                                                           *
 *****************************************************************************/
#include "TEpicData.h"

#include <iostream>
#include <fstream>
#include <sstream>
#include <string>
using namespace std; 

ClassImp(TEpicData)


//////////////////////////////////////////////////////////////////////
TEpicData::TEpicData() {
}



//////////////////////////////////////////////////////////////////////
TEpicData::~TEpicData() {
}



//////////////////////////////////////////////////////////////////////
void TEpicData::Clear() {
  fEpic_AnodeNbr.clear();
  fEpic_Q1.clear();
  fEpic_Q2.clear();
  fEpic_Qmax.clear();
  fEpic_Time.clear();
  fEpic_Time_HF.clear();
  fEpic_ToF.clear();
  fEpic_isFakeFission.clear();
  fEpic_FF_posZ.clear();
  fEpic_FF_DE.clear();
  fEpic_Electron_posZ.clear();
  fEpic_Electron_DE.clear();
}



//////////////////////////////////////////////////////////////////////
void TEpicData::Dump() const {
  // This method is very useful for debuging and worth the dev.
  cout << "XXXXXXXXXXXXXXXXXXXXXXXX New Event [TEpicData::Dump()] XXXXXXXXXXXXXXXXX" << endl;

  size_t mysize = fEpic_Q1.size();
  cout << "Epic_E_Mult: " << mysize << endl;
 
  for (size_t i = 0 ; i < mysize ; i++){
    cout << "AnodeNbr: " << fEpic_AnodeNbr[i]
         << " Q1: " << fEpic_Q1[i]
         << " Q2: " << fEpic_Q2[i]
         << " Qmax: " << fEpic_Qmax[i]
         << " Time: " << fEpic_Time[i] << endl;
  }
  cout << endl;
  mysize = fEpic_FF_DE.size();
  cout << "Number of slices for Energy loss trackinf of the FF : " << mysize << endl;
  for (size_t i=0 ; i < mysize ; i++){
    cout << "FF_posZ = " << fEpic_FF_posZ[i]
         << "  FF_DE = " << fEpic_FF_DE[i] << endl;
  }
}
